import java.util.ArrayList;

public class Cart implements Element {
	ArrayList<Element> cart = new ArrayList<Element>();
	
	/* Ctor */
	public Cart() {
		cart.add(new Fruits());
		cart.add(new Milk());
	}

	@Override
	public void accept(Visitor visitor) {
		System.out.println("Cart가 준비되었습니다.");
		visitor.visit(this);
		
		for (Element element : cart) {
			element.accept(visitor);
		}
	}
}
